Skip to content
WP Engine Documentation

List archives for a WordPress installation

GET
/installs/{install_id}/archives

Retrieves a paginated list of archives for a WordPress installation. Archives create downloadable zip files from backups.

install_id
required
string format: uuid

ID of install

limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

List of archives

object
previous

Path to the previous page of results

string
Example
https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0
next

Path to the next page of results

string
Example
https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200
count

The total number of results

integer
Example
225
results
Array<object>
object
id
required

Unique identifier for the archive

string format: uuid
Example
a6d86d4b-0860-4e2c-870b-0aae34ecf085
backup
required
object
id

Unique identifier of the backup this archive was created from

string format: uuid
Example
ac237e1c-3182-4c15-9a3f-6d58a57cbb44
notification_emails

Email addresses that will receive notifications about the archive operation

Array<string>
state
required

Current state of the archive operation

string
Allowed values: requested in_progress completed aborted
create_time

Timestamp when the archive was created

string format: date-time
start_time

Timestamp when the archive operation started

string format: date-time
complete_time

Timestamp when the archive operation completed. This field is only populated when state is completed

string format: date-time
abort_time

Timestamp when the archive operation was aborted. This field is only populated when state is aborted

string format: date-time
download_uri

Download URL for the completed archive. This field is only populated when state is completed

string format: uri

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal server error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

Service unavailable